CANVAS_USE_LOG_SCALE(3)

FUNCTION
canvas_use_log_scale - Enable logarithmic scaling for a world canvas.

SYNOPSIS
#include <karma_canvas.h>

void canvas_use_log_scale

(KWorldCanvas canvas, flag x_log, flag y_log)

DESCRIPTION
This routine will enable logarithmic scaling of the co-ordinates for a world canvas object.

canvas
    The world canvas object.

x_log
    If TRUE, the horizontal co-ordinates will be scaled logarithmically, else they will be scaled linearly.

y_log
    If TRUE the vertical co-ordinates should be scaled logarithmically, else they will be scaled linearly.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/